Bug 87798 - Configuration tool fails when repository is specified with a UNC path.
Configuration tool fails when repository is specified with a UNC path.
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: ConfigTool (Show other bugs)
CVS
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dallaway
John Dallaway
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-02 11:59 EST by Chris Garry
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Garry 2003-04-02 11:59:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Problem seen on Win2k machine with Cygwin.

The (CVS snapshot) configuration tool fails when the repository is specified 
via a UNC path (eg \\host\share\ecos).

For each entry in the eCos.db file the following error is seen:

> ecos.db, package PACKAGE_NAME: warning
> This package does not have any valid version subdirectories.

Then the tool then closes itself, without giving any opportunity to change the 
repository.  This is repeated each time the tool is subsequently opened.

This occurs even if the repository is on the same machine but specified with a 
UNC path.

If the path is specified with a logical drive letter (eg H:\ecos) then it 
works - but slowly.  For example, on my machine starting up version 2.0b1 of 
the configuration tool with the repository set to an eCos repository on another 
machine, specified using a logical drive letter takes about 12 seconds.  Doing 
the same thing with the CVS snapshot version of the configuration tool takes 
about 2 minutes.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start the CVS snapshot version of the configuration tool.
2. Use the build-> repository option to select an eCos repository via a UNC 
path.
    

Additional info:
Comment 1 John Dallaway 2003-04-03 02:25:42 EST
Bug reported against the eCosCentric 2003-03-28 snapshot (Cygwin build). UNC 
paths to the repository are apparently OK in the eCos 2.0b1 release build 
(Visual C++ build). Perhaps there's a difference in behaviour between the 
Windows native Tcl library and the Cygwin Tcl library wrt UNC paths. 
Comment 2 Alex Schuilenburg 2003-06-20 12:24:11 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=87798

Note You need to log in before you can comment on or make changes to this bug.